Thursday, June 26, 2014

JDeveloper and its confusing Extension versions

Extensions for JDeveloper are synonymous with plugins for Eclipse only that the former is tied to Oracle Fusion Middleware Products. There are number of fusion middleware products and these products have there own versions, needless to say not all product versions get served with only a single JDeveloper version.

We take an example of Oracle WebCenter Extensions - recently WebCenter Portal PS7 got released, hurray ! excited ! anyways coming back to point - PS7 was released with extension version of 11.1.1.8 and logically ( as well as historically ) you would have a JDeveloper 11.1.1.8 but No ! - you only see a 11.1.1.7 version ??

Now if you are like me then you go to Google and check if  JDeveloper 11.1.1.7 supports WebCenter Extensions 11.1.1.8 and you would be lucky enough to find this great table from JDeveloper' Extensions and a comment from andrejus. Else just follow my que and download JDeveloper from here

VersionRequirementsLinks



11.1.1.8.0.130707.1955oracle.studio (min=11.1.1.7.40.64.93, max=11.1.1.7.999)
oracle.j2ee (min=11.1.1.7.40.64.93, max=11.1.1.7.999)
Download
11.1.1.8.0.130926.1405oracle.studio (min=11.1.1.7.40.64.93, max=11.1.1.7.999)
oracle.j2ee (min=11.1.1.7.40.64.93, max=11.1.1.7.999)
Download
11.1.1.8.0.131217.0204oracle.studio (min=11.1.1.7.40.64.93, max=11.1.1.7.999)
oracle.j2ee (min=11.1.1.7.40.64.93, max=11.1.1.7.999)
Download
11.1.1.8.0.140404.0207oracle.studio (min=11.1.1.7.40.64.93, max=11.1.1.7.999)
oracle.j2ee (min=11.1.1.7.40.64.93, max=11.1.1.7.999)
Download

Now thats a find don't you think :)

Abhinandan Panda
Happy Me ! BTW, I am the one at back